Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 503624 - app-office/libreoffice on SYMLINK_LIB=no profile - configure: error: "/usr/lib64/"jvm not found, point with_jvm_path to \/path/to/\jvm
Summary: app-office/libreoffice on SYMLINK_LIB=no profile - configure: error: "/usr/li...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: no-symlink-lib
  Show dependency tree
 
Reported: 2014-03-06 13:35 UTC by Georgi Georgiev
Modified: 2014-12-29 20:30 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Georgi Georgiev 2014-03-06 13:35:23 UTC
Installing libreoffice on a system with a SYMLINK_LIB=no profile fails with:

checking for LIBLANGTAG... yes
checking which libpng to use... external
checking for LIBPNG... yes
checking whether to use specific JVM search path at runtime... yes
configure: error: "/usr/lib64/"jvm not found, point with_jvm_path to \/path/to/\jvm

And of course, there is no /usr/lib64/jvm. There is only /usr/lib/jvm:

$ ls -gGd /usr/lib*/jvm/
drwxr-xr-x 1 36 Feb 28 22:25 /usr/lib/jvm/

$ ls -gG /usr/lib*/jvm/
total 8
lrwxrwxrwx 1 19 Feb 28 21:47 icedtea-6 -> /usr/lib64/icedtea6
lrwxrwxrwx 1 19 Feb 28 22:25 icedtea-7 -> /usr/lib64/icedtea7
Comment 1 Georgi Georgiev 2014-03-08 06:25:20 UTC
And here is the fix. Trivial, but I waited for libreoffice to compile before sharing it:

--- a/app-office/libreoffice/libreoffice-4.1.4.2.ebuild
+++ b/app-office/libreoffice/libreoffice-4.1.4.2.ebuild
@@ -400,7 +400,7 @@ src_configure() {
                        --without-system-hsqldb
                        --with-ant-home="${ANT_HOME}"
                        --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
-                       --with-jvm-path="${EPREFIX}/usr/$(get_libdir)/"
+                       --with-jvm-path="${EPREFIX}/usr/lib/"
                "
 
                use libreoffice_extensions_scripting-beanshell && \
Comment 2 Andreas K. Hüttel gentoo-dev 2014-12-29 20:25:31 UTC
(In reply to Georgi Georgiev from comment #1)
> And here is the fix. Trivial, but I waited for libreoffice to compile before
> sharing it:
> 
> --- a/app-office/libreoffice/libreoffice-4.1.4.2.ebuild
> +++ b/app-office/libreoffice/libreoffice-4.1.4.2.ebuild
> @@ -400,7 +400,7 @@ src_configure() {
>                         --without-system-hsqldb
>                         --with-ant-home="${ANT_HOME}"
>                         --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
> -                       --with-jvm-path="${EPREFIX}/usr/$(get_libdir)/"
> +                       --with-jvm-path="${EPREFIX}/usr/lib/"
>                 "
>  
>                 use libreoffice_extensions_scripting-beanshell && \

This looks good. /usr/lib*/jvm is also on a multilib profile entered in the VDB as /usr/lib/jvm.
Comment 3 Andreas K. Hüttel gentoo-dev 2014-12-29 20:30:37 UTC
Tom fixed this long ago without closing the bug.